Announcement

Collapse
No announcement yet.

HOW DO I change the allowable length of a poll QUESTION?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • HOW DO I change the allowable length of a poll QUESTION?

    I found the option to set the max length of poll responses in the Admin Options but there does not seem to be a similar setting (in v3.52) for setting the length of the poll question. (At least, I could not find one.)

    Looks to me like the polling question is hard-coded to 85 characters max.

    Is there some way I could change this to allow, say, 150 character questions? How???

    Note: I allow only certain admins to create polls.

    Thanks

  • #2
    You have to manually change this in the databe. It is currently limited to 100 characters. To change this 250 for instance, run this query:

    ALTER TABLE poll CHANGE question VARCHAR(250) NOT NULL DEFAULT '',

    Backup your database first!
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      When I do this and then go into PHPmyadmin to check it, I see that the "question" field has, in fact, been changed to 250 character length.

      However, for some reason, I can still not create a poll question any longer than the default length.

      Do I, perchance, also need to hack a bit of the PHP code somewhere to adjust the allowable form length for this... or something like that??

      Ideas???

      Thanks

      Comment


      • #4
        Ahhh, this is also limited in the newpoll template. You need to edit this ssection:

        <div><label for="pollquestion">$vbphrase[poll_question]</label>:</div>
        <input type="text" class="bginput" name="question" value="$question" id="pollquestion" size="50" maxlength="85" tabindex="1" />
        </div>
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          Does this work in 3.6.8? I tried it but I'm not having any luck.

          Comment


          • #6
            Please start your own thread in the relevant forum for your version.
            Kerry-Anne :)

            Twitter Blog

            www.peterska2.com www.worldnewszone.com www.popularusenetgroups.com www.superclickers.co.uk www.forumsforchrist.com www.browsergameplanet.com

            Comment

            widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
            Working...
            X